using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsFormulaBase {
        public BemsFormulaBase() {
            Formulas = new HashSet<BemsFormula>();
        }

        //성능분석식 기초정보
        [Display(Name = "설비종류"), Key]
        public int FacilityTypeId { get; set; }
        [Display(Name = "수식 고유번호"), Key]
        public int FormulaId { get; set; }
        [Display(Name = "수식 이름"), Required]
        [StringLength(32)]
        public string Name { get; set; }

        [InverseProperty("FormulaBase")]
        public virtual ICollection<BemsFormula> Formulas { get; set; }
    }
}
